atkmm 2.28.3

Public Types | Static Public Member Functions | List of all members
Atk::AttributeTraits Struct Reference

`#include <atkmm/text.h>`

## Public Types
typedef Atk::Attribute | CppType
typedef const AtkAttribute * | CType
typedef AtkAttribute * | CTypeNonConst

## Static Public Member Functions
static CType | to_c_type (CType item)
static CType | to_c_type (const CppType & item)
static CppType | to_cpp_type (CType item)
static void | release_c_type (CType item)

## Member Typedef Documentation

## ◆ CppType

typedef Atk::Attribute Atk::AttributeTraits::CppType

## ◆ CType

typedef const AtkAttribute* Atk::AttributeTraits::CType

## ◆ CTypeNonConst

typedef AtkAttribute* Atk::AttributeTraits::CTypeNonConst

## Member Function Documentation

## ◆ release_c_type()

static void Atk::AttributeTraits::release_c_type | ( | CType | item | ) |
| inline static

## ◆ to_c_type() [1/2]

static CType Atk::AttributeTraits::to_c_type | ( | const CppType & | item | ) |
| inline static

## ◆ to_c_type() [2/2]

static CType Atk::AttributeTraits::to_c_type | ( | CType | item | ) |
| inline static

## ◆ to_cpp_type()

static CppType Atk::AttributeTraits::to_cpp_type | ( | CType | item | ) |
| inline static